Package org.zkoss.zk.ui.http

## Class WcsExtendlet

- java.lang.Object
- - org.zkoss.zk.ui.http.WcsExtendlet

- All Implemented Interfaces:
    `Extendlet`

      public class WcsExtendlet
      extends java.lang.Object

  The extendlet to handle WCS (widget CSS). Each language (such as zul) must have exactly one of WCS file to generate all CSS for all widgets of a language.
  Since:
    5.0.0
  Author:
    tomyeh

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.web.util.resource.Extendlet

      `ALLOW_DIRECT_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WcsExtendlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getFeature​(int feature)` | Returns if the specified feature is supported.
    `void` | `init​(ExtendletConfig config)` | Initializes the resource processor.
    `boolean` | `isDebugJS()` | Returns whether to generate JS files that is easy to debug.
    `void` | `service​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String path)` | Process the specified request.
    `void` | `setDebugJS​(boolean debugJS)` | Sets whether to generate JS files that is easy to debug.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WcsExtendlet

          public WcsExtendlet()

  - ### Method Detail

    - #### init

          public void init​(ExtendletConfig config)

      Description copied from interface: `Extendlet`
      Initializes the resource processor.

    - #### service

          public void service​(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              java.lang.String path)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Description copied from interface: `Extendlet`
      Process the specified request.
        `path` - the path mapped to this resource processor.
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### setDebugJS

          public void setDebugJS​(boolean debugJS)

      Sets whether to generate JS files that is easy to debug.

    - #### isDebugJS

          public boolean isDebugJS()

      Returns whether to generate JS files that is easy to debug.

    - #### getFeature

          public boolean getFeature​(int feature)

      Description copied from interface: `Extendlet`
      Returns if the specified feature is supported.
      Specified by:
        `getFeature` in interface `Extendlet`